Fix run.sh arguments

The run.sh script had some issues to process the arguments into a
specific order.

Change-Id: I9c10bbf9aa10e133bfdecc67eb013c839039bc90
Signed-off-by: Victor Morales <victor.morales@intel.com>
Issue-Id: INT-97
diff --git a/bootstrap/vagrant-onap/tools/run.sh b/bootstrap/vagrant-onap/tools/run.sh
index 6ba4a10..cf31fe4 100755
--- a/bootstrap/vagrant-onap/tools/run.sh
+++ b/bootstrap/vagrant-onap/tools/run.sh
@@ -1,14 +1,11 @@
 #!/bin/bash
 
-usage ()
-{
-cat <<EOF
-Usage: run.sh [-y] [-?] Command
+function usage {
+    cat <<EOF
+Usage: run.sh Command [-y] [-?]
 Optional arguments:
     -y
         Skips warning prompt.
-    -?
-        Shows help about this program.
     -s <suite>
         Test suite to use in testing mode.
     -c <case>
@@ -24,9 +21,9 @@
 test_suite="*"
 test_case="*"
 
-COMMAND=${@: -1}
+COMMAND=$1
 
-while getopts "y?s:c:" OPTION; do
+while getopts "ys:c:" OPTION "${@:2}"; do
     case "$OPTION" in
     y)
         run=true
@@ -47,9 +44,9 @@
         fi
         test_case=$OPTARG
         ;;
-    ?)
+    \?)
         usage
-        exit 0
+        exit 1
         ;;
     esac
 done